Is CA WEBADMIN compatible with JAVA 8?

Document ID : KB000047690
Last Modified Date : 14/02/2018
Show Technical Document Details

 

Introduction:

 

-We would like to upgrade our JAVA environment from JAVA 6.0 to JAVA 8.0. what are the steps to follow to have our CA WEBADMIN for CA Top Secret running with it?
 

 

Instructions: 

 

 

 

-1°) Change the TOMCAT procedure to point to the right JAVA level and point to the right SYS1.SIEALNKE to pick up the JAVA starter, i.e. JVMLDM80. 
 
Also change member TOMENV name if it has been changed when upgrading to JAVA 8.0 
 
E.G:
 
//TOMCAT PROC REGSIZE='0M',                                           
//*
//   JAVACLS='org.apache.catalina.startup.Bootstrap',                 
//   ARGS='start',     < Args to Java class                           
//   LIBRARY='SYS1.SIEALNKE',                                         
//   VERSION='80',                       < JZOSVM version.            
//   LOGLVL='+T',                        < Debug LVL: +I(info) +T(trc)
//   LEPARM=''                                                        
//TOMCAT   EXEC PGM=JVMLDM&VERSION,REGION=&REGSIZE,                   
//   PARM='&LEPARM/&LOGLVL &JAVACLS &ARGS'                            
//STEPLIB  DD DSN=&LIBRARY,DISP=SHR                                   
//STDOUT  DD SYSOUT=*                                                 
//STDERR  DD SYSOUT=*                                                 
//SYSTCPD DD DSN=SYS2.PARMLIB(OETCPDAT),DISP=SHR                      
//STDENV  DD DSN=SYS1.PARMLIB(TOMENVJ8),DISP=SHR                      
//ABNLIGNR DD DUMMY                                                   


-2°) Change member TOMENV, rename it to something else to keep track of old version, and update the JAVA_HOME= to point to JAVA 8.0

E.G: export JAVA_HOME=/usr/lpp/java/J8.0 

 

Additional Information:

 

-This has been tested and worked on z/OS 2.2; TSS r16.0; JAVA 31bit 8.0; WEBADMIN 15.0 

 

 

-No other actions are needed.